Subject: undo problems/crashes (was Re: bracket-paste-magic ...)
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Thu, 2 Jun 2016 00:20:43 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 13,  2:19pm, Vincent Lefevre wrote:
} Subject: Re: bracket-paste-magic adds backslashes inside a quoted string i
}
} BTW, bracketed-paste-magic breaks the "undo": it clears
} the whole line.

Hmm, I think this is a relatively new thing; it also core dumps for me
on multiple undo-ings.

Oliver's latest patch in 38540 stops the core dump, but it also stops
the undo from happening at all; in fact if I attempt ESC x undo RET
then not only does the undo not happen, but the RET is interpreted as
accept-line instead of as the end of the execute-named-command input.